Subject: bug#63750: 30.0.50; tree-sitter: `treesit-language-source-alist' is not customisable

From: Yuan Fu <[email-masked]>
Date: Sat, 27 May 2023 16:12:18 -0700

> On May 27, 2023, at 5:32 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Mickey Petersen <[email-masked]>
>> Date: Sat, 27 May 2023 13:01:40 +0100
>> 
>> 
>> Given the simple alist structure, and that its intent is to be used
>> with the interactive function `treesit-install-language-grammar', it'd
>> make sense to turn it into a Customize option.
> 
> We deliberately decided not to make it a defcustom, and not to provide
> any non-trivial default value, so as to avoid the impression that we
> as a project want to be responsible for the language grammars, their
> correctness, up-to-date sites, and their licenses.  It should be
> entirely up to the user and/or the Emacs distros.
> 
> However, I think we decided to make it so that each installation
> should update the value of the variable with the data of the grammar
> just installed.  I see that we don't actually do that -- Yuan, am I
> misremembering this?  If not, would you please add code to add to the
> variable's value the data of every grammar that is installed?

Sure. Does it need to be preserved across sessions (ie, use custom)? Or just add for the current session?

Yuan